package com.docus.server.convert;

import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.dto.recovery.rcvsysparam.AddRcvSysParamDTO;
import com.docus.server.dto.recovery.rcvsysparam.EditRcvSysParamDTO;
import com.docus.server.entity.recovery.RcvSysParam;
import com.docus.server.vo.recovery.rcvsysparam.RcvSysParamVO;
import org.mapstruct.Mapper;
import org.mapstruct.Mappings;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 系统参数表 服务转换器
 *
 * @author AutoGenerator
 * @since 2023-09-13
 */
@Mapper
public interface RcvSysParamConvert {

    RcvSysParamConvert INSTANCE = Mappers.getMapper(RcvSysParamConvert.class);

    @Mappings({})
    RcvSysParam convertDO(AddRcvSysParamDTO addRcvSysParamDTO);

    @Mappings({})
    RcvSysParam convertDO(EditRcvSysParamDTO editRcvSysParamDTO);

    @Mappings({})
    List<RcvSysParam> convertAddDOList(List<AddRcvSysParamDTO> addRcvSysParamDTO);

    @Mappings({})
    List<RcvSysParam> convertEditDOList(List<EditRcvSysParamDTO> editRcvSysParamDTO);

    @Mappings({})
    RcvSysParamVO convertVO(RcvSysParam rcvSysParam);

    @Mappings({})
    List<RcvSysParamVO> convertVO(List<RcvSysParam> rcvSysParamList);

    @Mappings({})
    PageResult<RcvSysParamVO> convertVO(PageResult<RcvSysParam> pageResult);
}

